# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'furnish/ssh/version'

Gem::Specification.new do |spec|
  spec.name          = "furnish-ssh"
  spec.version       = Furnish::SSH::VERSION
  spec.authors       = ["Erik Hollensbe"]
  spec.email         = ["erik+github@hollensbe.org"]
  spec.description   = %q{Run SSH commands as a Furnish Provisioner}
  spec.summary       = %q{Run SSH commands as a Furnish Provisioner}
  spec.homepage      = "https://github.com/chef-workflow/furnish-ssh"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'furnish', '~> 0.1.1'
  spec.add_dependency 'net-ssh', '~> 2.0'

  spec.add_development_dependency 'furnish-vagrant', '~> 0.1.0'
  spec.add_development_dependency 'furnish-ip', '~> 0.1.0'
  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'minitest'
  spec.add_development_dependency 'guard-minitest'
  spec.add_development_dependency 'guard-rake', '~> 0.0.8'
  spec.add_development_dependency 'rdoc', '~> 4.0'
  spec.add_development_dependency 'rb-fsevent'
  spec.add_development_dependency 'simplecov'
end
